
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS消息远程推送通知_IOS / iVAN</title>

    <meta name="description" content="iOS消息远程推送通知_IOS 本文实例为大家分享了iOS消息推送.iOS远程通知代码,供大家参考,具体内容如下 消息推送 /* 要开发测试消息机制的程序,必须用真机测试 推送消息的类型 UIRemoteNotificationTypeNone 不接收推送消息 UIRemoteNotificationTypeBadge 接收图标数字 UIRemoteNotificationTypeSound 接收音频 UIRemoteNotificationTypeAlert 接收消息文字 UIRemoteNotificationTypeNe">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS消息远程推送通知_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例为大家分享了iOS消息推送、iOS远程通知代码，供大家参考，具体内容如下</p>
<p><strong>消息推送</strong></p>
<pre>
/*
 要开发测试消息机制的程序，必须用真机测试

 推送消息的类型
 UIRemoteNotificationTypeNone  不接收推送消息
 UIRemoteNotificationTypeBadge  接收图标数字
 UIRemoteNotificationTypeSound  接收音频
 UIRemoteNotificationTypeAlert  接收消息文字
 UIRemoteNotificationTypeNewsstandContentAvailability 接收订阅消息

 要想监听到注册的deviceToken需要在苹果的开发者中心，进行一些设置工作才可以。
 */

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
  // 设置应用程序能够接收APNS推送的消息
  [application registerForRemoteNotificationTypes:UIRemoteNotificationTypeAlert | UIRemoteNotificationTypeBadge | UIRemoteNotificationTypeSound];

  self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
  self.window.backgroundColor = [UIColor whiteColor];
  [self.window makeKeyAndVisible];

  return YES;
}

#pragma mark - 获取DeviceToken
- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken
{
  NSLog(@"%@", deviceToken);
  // 1. 从系统偏好取之前的token
  NSData *oldToken = [[NSUserDefaults standardUserDefaults]objectForKey:@"deviceToken"];
  // 2. 新旧token进行比较
  if (![oldToken isEqualToData:deviceToken]) {
    // 3. 如果不一致，保存token到系统偏好
    [[NSUserDefaults standardUserDefaults]setObject:deviceToken forKey:@"deviceToken"];

    // 4. 使用post请求传输新旧token至服务器
    // 1) url
    // 具体的URL地址以及POST请求中的参数和格式，是由公司的后端程序员提供的
    // 2) request POST body（包含新旧token的数据）
    // 3) connection 的异步
  }
}
</pre>
<p><strong>远程通知</strong></p>
<pre>
/**
 远程消息推送必须在真机上运行！
 */
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
  // 需要告诉苹果的服务器，当前应用程序需要接收远程通知
  [application registerForRemoteNotificationTypes:UIRemoteNotificationTypeAlert | UIRemoteNotificationTypeBadge | UIRemoteNotificationTypeSound];

  return YES;
}

#pragma mark - 获取到设备的代号（令牌）
// 接收到苹果返回的设备代号
- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken
{
  // 第一次运行获取到DeviceToken时间会比较长！
  NSLog(@"%@", deviceToken);

  // 将deviceToken转换成字符串，以便后续使用
  NSString *token = [deviceToken description];
  NSLog(@"description %@", token);

  // =======================================================
  // 如果DeviceToken发生变化，需要通知服务器
  // 每次都记录住从服务器获取到得DeviceToken
  // 再次获取时进行比对
  // 从偏好设置取出当前保存的Token
  NSString *oldToken = [[NSUserDefaults standardUserDefaults] objectForKey:@"DeviceToken"];

  // 当Token发生变化时，提交给服务器保存新的Token
//  if (![oldToken isEqualToString:token]) {
//
//    // 将deviceToken通过Post请求，提交给自己的服务器即可！
//    // 发送Post请求
//    NSURL *url = [NSURL URLWithString:@"公司后台服务器的网址"];
//    NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url cachePolicy:NSURLRequestUseProtocolCachePolicy timeoutInterval:10.f];
//
//    request.HTTPMethod = @"POST";
//    request.HTTPBody = @"转换后的设备ID以及其他信息[之前的Token]";
//
//    // SQL: update t_deviceTable set token = newToken where token = oldToken;
//
//    // 同步：必须执行完才能继续
//    // 异步：直接交给其他线程工作，不干扰主线程工作，用户也感觉不到延迟
//    [NSURLConnection sendAsynchronousRequest:request queue:[NSOperationQueue mainQueue] completionHandler:^(NSURLResponse *response, NSData *data, NSError *connectionError) {
//      // 偷偷的将用户信息传送到公司的服务器
//    }];
//  }

  // 将Token保存至系统偏好
  [[NSUserDefaults standardUserDefaults] setObject:token forKey:@"DeviceToken"];
}
</pre>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索ios消息推送<br />
                    ，                ios远程推送通知<br />
                    ，                iOS远程通知<br />
                                    iOS远程推送<br />
                                    ios远程消息推送代码、ios远程消息推送、ios 点击远程推送消息、ios 改远程推送消息、ios 关闭远程推送通知，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 12:56:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios%e8%bf%9c%e7%a8%8b%e6%8e%a8%e9%80%81%e9%80%9a%e7%9f%a5/" title="ios远程推送通知">ios远程推送通知</a>, <a href="https://www.iamivan.net/tag/ios%e8%bf%9c%e7%a8%8b%e9%80%9a%e7%9f%a5/" title="iOS远程通知">iOS远程通知</a>, <a href="https://www.iamivan.net/tag/ios%e6%b6%88%e6%81%af%e6%8e%a8%e9%80%81/" title="ios消息推送">ios消息推送</a>, <a href="https://www.iamivan.net/tag/ios%e8%bf%9c%e7%a8%8b%e6%8e%a8%e9%80%81/" title="iOS远程推送">iOS远程推送</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS消息远程推送通知_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWwPLp.html" rel="bookmark">iOS实现远程推送原理及过程&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推送通知,是现在的应用必不可少的功能.那么在 iOS 中,我们是如何实现远程推送的呢?iOS 的远程推送原理又是什么呢?在做 iOS 远程推送时,我们会遇到各种各样的问题.那么首先让我们准备一些做推送需要的东西.我们需要一个付费的苹果开发者账号(免费的不可以做远程推送),有了开发者账号,我们可以去苹果开发者网站,配置自己所需要的推送的相关证书.然后下载证书,供我们后面使用,详细的证书配置过程,我们下面再说. 首先我们要说说iOS推送通知的基本原理: 苹果的推送服务通知是由自己专门的推送服务器AP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40kE9z.html" rel="bookmark">ios-iOS远程推送通知和自定义消息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 iOS远程推送通知和自定义消息 类似于微信,当有好友发送消息过来时,应用在后台也可以接收到,并以通知的样式显示,这到底是远程推送通知实现的还是自定义消息实现的? 解决方案 iOS远程推送通知iOS远程推送通知IOS远程推送通知 解决方案二: 想想都知道是怎么回事.难道你想让app在后台一直等待接收信息?浪费电.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7wQnz.html" rel="bookmark">ios-如何检索和处理远程推送通知？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何检索和处理远程推送通知? 在应用没在运行时获取远程通知,我找到的方法: UILocalNotification *localNotification = [launchOptions objectForKey:UIApplicationLaunchOptionsRemoteNotificationKey] 在方法: - (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZYkwz.html" rel="bookmark">iPhone&sol;iPad开发通过LocalNotification实现iOS定时本地推送功能&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过iOS的UILocalNotification Class可以实现本地app的定时推送功能,即使当前app是后台关闭状态.  可以实现诸如,设置app badgenum,弹出一个alert,播放声音等等,实现很简单  UILocalNotification *notification=[[UILocalNotification alloc] init]; if (notification!=nil) { NSDate *now=[NSDate new]; notification.fireD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q2amp.html" rel="bookmark">iOS注册远程推送消息证书后提示此证书签发者无效的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请多提意见,如果觉得不错请多多支持点赞.谢谢! hopy ;) 我们在编写关于远程推送消息的App时需要注册一个相关的证书,我们可以到Apple开发网站的Certificates, Identifiers &amp; Profiles页面首先创建一个App ID. 其中进入Push Notifications选项,并且在其子项Development SSL Certificate中选择创建证书(因为该证书是调试用的,所以在Deve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1ExXdM.html" rel="bookmark">iOS 玩转推送通知</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 推送通知,想必大家都很熟悉,关于原理之类的,这里就不过多阐述.在这里我们主要介绍下iOS8及iOS9之后关于推送的新功能.大家可能见过听说过,但可能有一些朋友并没有上手做过.这篇文章便给大家详细介绍推送中的快捷按钮及快捷回复等功能的实现. 快捷点赞,如微博点赞功能 效果图大家可以先看下: 首先先说如何为自己的推送添加快捷功能,该Demo中的动作 &quot;赞&quot;,代码如下: //创建消息上面要添加的动作     UIMutableUserNotificationAction *action			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnW2xp.html" rel="bookmark">iOS开发之&lpar;APNS&rpar;远程推送实现代码 附证书与真机调试&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				远程推送通知 什么是远程推送通知 顾名思义,就是从远程服务器推送给客户端的通知(需要联网)远程推送服务,又称为APNs(ApplePush Notification Services) 为什么需要远程推送通知传统获取数据的局限性只要用户关闭了app,就无法跟app的服务器沟通,无法从服务器上获得最新的数据内容远程推送通知可以解决以上问题不管用户打开还是关闭app,只要联网了,都能接收到服务器推送的远程通知远程推送通知使用须知所有的苹果设备,在联网状态下,都会与苹果的服务器建立长连接什么是长连接只			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkGZkM.html" rel="bookmark">iOS远程推送Push开发教程&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				远程推送通知 什么是远程推送通知 顾名思义,就是从远程服务器推送给客户端的通知(需要联网)远程推送服务,又称为APNs(Apple Push Notification Services) 为什么需要远程推送通知 传统获取数据的局限性 只要用户关闭了app,就无法跟app的服务器沟通,无法从服务器上获得最新的数据内容 远程推送通知可以解决以上问题 不管用户打开还是关闭app,只要联网了,都能接收到服务器推送的远程通知 远程推送通知使用须知 所有的苹果设备,在联网状态下,都会与苹果的服务器建立长连接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NYPPM.html" rel="bookmark">iOS远程推送原理及实现过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文出自[听云技术博客]:http://blog.tingyun.com/web/article/detail/571 推送通知,是现在的应用必不可少的功能.那么在 iOS 中,我们是如何实现远程推送的呢?iOS 的远程推送原理又是什么呢?在做 iOS 远程推送时,我们会遇到各种各样的问题.那么首先让我们准备一些做推送需要的东西.我们需要一个付费的苹果开发者账号(免费的不可以做远程推送),有了开发者账号,我们可以去苹果开发者网站,配置自己所需要的推送的相关证书.然后下载证书,供我们后面使用,详细			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKmxnp.html" rel="bookmark" class="title">DreamweaverMX Ultradev探索&lpar;3-1&rpar;</a>
					<div>
						dreamweaver Dreamweaver MX Ultradev探索(3)向数据库中添加记录 好,接上一讲,前一章讲到动态显示数据库内容,相信大家现在的心情已是很激动了吧,呵...是不是心里早就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGvnM.html" rel="bookmark" class="title">NetScreen－100防火墙</a>
					<div>
						NetScreen-100产品功能及性能说明 (一)高性能的防火墙产品 NetScreen-100防火墙产品是基于安全包处理器的高性能产品.全新的技术包括定制的专有的ASIC芯片免费加盟和策略实现.高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw3Ddz.html" rel="bookmark" class="title">实例解决百度快照不更新的难题</a>
					<div>
						之前我的网站快照一直停留在8月20号,这个快照算是旧的不能在旧.即使是长期不更新的站点,也难有这么旧的快照.你能说是我网站权重不行吗?不是,发布的文章不能说是100%,但几乎都会给收录(通常几分钟内被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ8Z8z.html" rel="bookmark" class="title">用dataset来填充tree</a>
					<div>
						1,&lt;iewc:TreeView id=TreeView1 style=&quot;Z-INDEX: 101; LEFT: 152px; POSITION: absolute; TOP: 168 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEvXxb.html" rel="bookmark" class="title">AutoCAD将三维模型投影到二维平面</a>
					<div>
						制作完成! 本题主要运用的是设置轮廓命令,将三维模型投影到二维平面!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo65Kjz.html" rel="bookmark" class="title">路由器tplink845登录到其他界面怎么办</a>
					<div>
						  路由器tplink845登录到其他界面的解决方法: 宽带连接错误可能会进入猫的界面,请务必将宽带线(或通过猫后的网线)连接到路由器WAN口,如下: 电脑要连接路由器的LAN口,如果是无线终端,请务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PEY7M.html" rel="bookmark" class="title">jQuery判断一个元素是否可见的方法</a>
					<div>
						  本文实例讲述了jQuery判断一个元素是否可见的方法.分享给大家供大家参考.具体如下: jQuery 可以很容易地确定一个元素是可见的或是隐藏的,然后分别做不同的处理.如:我想根据某 div 是否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOr0LM.html" rel="bookmark" class="title">excel函数的说明及其详细的解释</a>
					<div>
						数据库和清单管理函数 AVERAGE 返回选定数据库项的平均值 DCOUNT 计算数据库中包含数字的单元格的个数 DCOUNTA 计算数据库中非空单元格的个数 DGET 从数据库中提取满足指定条件的单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwynGp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;剥&rdquo;出来的用户角色 创建角色模型方法</a>
					<div>
						最近,我自己一直在做一些活动页面和移动端游戏,我渐渐意识到角色模型的重要性.角色模型,是设计产品时的指路灯,是产品经理和交互设计师的设计参考. 创建角色模型,是在剥皮(就像剥洋葱一样,虽然会流泪,但洋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKGG9M.html" rel="bookmark" class="title">如何查看WIN8平板电脑的应用大小</a>
					<div>
						 Surface用户都会从微软应用商城下载软件,不过Win8平板并不不支持右键查看文件大小的功能,那么WIN8平板电脑可以看占用容量大小吗?又如何查看WIN8平板电脑里的应用大小呢?其实通过&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr35k4p.html" rel="bookmark" class="title">把360宽带测速器创建到桌面</a>
					<div>
						  第一步:启动&quot;宽带测速器&quot;.点击宽带测速器界面右上方的&quot;创建桌面图标&quot;. 第二步:点击&quot;创建桌面图标&quot;之后,显示出了创建成功的字符.如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN198mb.html" rel="bookmark" class="title">mac文档Pages怎么分栏</a>
					<div>
						  Pages 是iWork工作套件中最常用的办公软件.也是OS X系统应用中最受用户欢迎的苹果自带应用程序之一,用Pages处理文稿,有着很多实用的技巧,今天PC6苹果网小编给大家带来的Pages怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRGllp.html" rel="bookmark" class="title">咪咕爱唱怎么邀请别人加入合唱</a>
					<div>
						  1.首先我们要做的是打开软件,进去爱唱界面,点击合唱; 2.进入合唱界面,点击你想要加入的合唱; 3.点击下方的演唱红色部分按钮; 4.在这里你可以进行唱歌,完成后点击完成按钮; 5.你完成的歌曲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGrXDb.html" rel="bookmark" class="title">WinXP系统如何调整桌面图标大小以适应眼睛</a>
					<div>
						  桌面右击属性:如图 在显示属性里面选择外观选项:如图 在外观菜单下我们选择高级:如图 在高级外观设置点击项目:如图 我们在项目里找到图标选项:如图 我们改变图标大小,这里我将图标改为43:如图 效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWLwPb.html" rel="bookmark" class="title">设计模式之二：Builder模式</a>
					<div>
						设计模式之二:Builder模式目录介绍 0.关于Builder模式案例下载 1.Builder模式介绍 2.Builder模式使用场景 3.Builder模式简单案例 3.1 Builder模式UM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ovZwb.html" rel="bookmark" class="title">C&num;中泛型的分类？泛型类型、泛型结构、泛型方法，还有什么？</a>
					<div>
						问题描述 C#中泛型的分类?泛型类型.泛型结构.泛型方法,还有什么? C#中泛型的分类?泛型类型.泛型结构.泛型方法,还有什么? 解决方案 没听说这些分类.泛型就是泛型.接口.类型.方法都可以用泛型修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Kgvz.html" rel="bookmark" class="title">easyui-关于easyU树形菜单的问题</a>
					<div>
						问题描述 关于easyU树形菜单的问题 easyUI用的树形菜单,父级菜单默认是打开的,但是父菜单和子菜单太多了我想让父菜单默认是合上的该怎么做 解决方案 配置数据源&quot;state&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32YGAz.html" rel="bookmark" class="title">机房收费系统（VB&period;NET）个人版总结</a>
					<div>
						    重构版个人机房收费系统大概从暑假开学开始进行,花了不到一个半月的时间才完成,下面对我在重构过程中的一写理解.          1.系统设计一个很重要的目的就是重用,而要做到重用,低耦合是最有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOljB8b.html" rel="bookmark" class="title">JDateTime</a>
					<div>
						译者:阿邱 原文链接 JDateTime 是一个优雅的,开发者友好的类并且也一种非常精巧的跟踪日期和时间的一种方式.它使用一种非常清晰并且被广泛证明的算法去进行时间的操作.每个被JDK中Calenda ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My36Glz.html" rel="bookmark" class="title">libsigrok 0&period;1&period;0发布 硬件访问驱动程序</a>
					<div>
						libsigrok 是一个采用C语言编写的共享库,为逻辑分析仪提供了基本的硬件访问驱动程序,以及输入/输出文件格式的支持. libsigrok 0.1.0该版本是首次发布的初始版本.更新逻辑分析仪,图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RydBb.html" rel="bookmark" class="title">周大地谈成品油新调价机制：关注透明度等三方面</a>
					<div>
						12月22日,国家发改委对国内成品油市场进行了年内第四次调整.第三次上调.今日国家发改委能研所原所长周大地做客人民网时表示,新机制应从透明度.及时性与市场调节三方面加大关注. 周大地介绍说,目前对定价 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX16Wz.html" rel="bookmark" class="title">Nginx模块参考手册：Split Clients模块&lpar;Split Clients&rpar;</a>
					<div>
						这些模块默认会全部编译进Nginx,除非手工指定某个模块在configure时排除. ngx-http-split-clients模块基于一些特定条件分开客户端连接,(例如ip地址,请求头,cooki ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJLxWp.html" rel="bookmark" class="title">苏宁电器成惠普中国区唯一直供渠道</a>
					<div>
						本报记者 李巍 南京报道 7月28日,惠普-苏宁电器(002024)直供战略合作签约仪式在南京举行,双方将从即日起对采购模式进行变革,全面采取直供合作模式,由此苏宁电器成为惠普在中国地区第一家也是唯一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBaeJM.html" rel="bookmark" class="title">配置错误：未能使用提供程序&OpenCurlyDoubleQuote;RsaProtectedConfigurationProvider&rdquo;进行解密</a>
					<div>
						问题描述 我的一个程序,在.net里可以打开,并且运行也没问题可为什么一放到服务器上就不行了呢.出现如下错误.我用的是VS05配置错误:未能使用提供程序&quot;RsaProtectedConfig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwg5EM.html" rel="bookmark" class="title">返回2个文本数组的方法如何定义？</a>
					<div>
						问题描述 求助下各位,传入2个文本参数,返回2组不同的文本数组,其中第二组文本数组有时是空的,这个方法格式该如何写?谢谢! 解决方案 解决方案二:....直接写个类...返回这个类的对象...解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RXEaz.html" rel="bookmark" class="title">深圳 有没有什么好的 &period;NET培训机构</a>
					<div>
						问题描述 深圳有没有什么好的.NET培训机构 解决方案 解决方案二:这里就是一个最好的培训机构````					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnPY4M.html" rel="bookmark" class="title">关于金蝶bos乱码</a>
					<div>
						问题描述 已在金蝶建模视图还有设计视图搞好了按钮之类的,在listUI类中的acton里写了,MsgBox.showConfirm3(&quot;你好?&quot;)...然后在eas里测试时,弹出框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xvLab.html" rel="bookmark" class="title">Aptana Studio 3 如何汉化，实现简体中文版</a>
					<div>
						原文http://www.cnblogs.com/hihell/archive/2011/08/24/2151760.html 这篇文章写了又一年多的时间了,哈哈,今天更新一次 此处修正的下面教程的[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNJ9Zp.html" rel="bookmark" class="title">javascript 关于&num; 和 void的区别分析&lowbar;javascript技巧</a>
					<div>
						首先,我们来做个实验吧. 打开任何一个浏览器的空页,在地址输入栏中输入以下代码: 复制代码 代码如下: javascript:void(3); 会发生什么呢? 答案是什么都不会发生. 然后,我们再打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmV2mz.html" rel="bookmark" class="title">电脑操作误区面面观&lowbar;硬件维护</a>
					<div>
						随着IT产品的日益平民化,很多家庭都购置了家用电脑.因为电脑水平的参差不齐,难免有一些&quot;菜鸟&quot;甚至是&quot;大虾&quot;在电脑的操作上或多或少存在一些想当然的误操作,有些看 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
